# Konfiguračný súbor pre www.breviar.sk
# Autor: Marek Eliáš, Juraj Vidéky (c) 2007-2020
# confuse-2.5

# adresa, na ktorú sa program odkazuje (default root URL for application [CGI module])
http_adresa_def="/"

# adresa, ktorá sa zobrazuje v pätke (default display URL in footers)
http_zobraz_adr_def="breviar.sk"

# mailová adresa autora (default footer e-mail address)
mail_adresa_def="videky@breviar.sk"

# include adresár pre default jazyk (SK) (include folder for default language = for SK).
# treba dať do úvodzoviek, lebo ináč to vypíše koncový slash na stdout (wrap into parentheses)
incldir_def="../include/"

# URL for biblical references (language SK; contains trailing slash) | dkc.kbs.sk
http_bible_references_def="https://dkc.kbs.sk/?in="

# URL for bible.com references (without translation/version ID; contains trailing slash)
http_bible_com_references_def="https://www.bible.com/bible/"

# translation/version ID for bible.com references (language SK) | SSV katolícky preklad Biblie
bible_com_version_id_def="163"

# for all options and values see: source/liturgia.h

# === SK: option params override for language JAZYK_SK ===
# Tieto parametre ovplyvňujú obsah vygenerovanej modlitby

# OPT0: špeciálne časti modlitieb (number of supported bits: POCET_OPT_0_SPECIALNE)
# 0. bit (1): číslovanie (čísla) veršov v žalmoch, chválospevoch a biblických čítaniach 
# 1. bit (2): biblické referencie na dkc.kbs.sk
# 2. bit (4): liturgické čítania (odkaz na lc.kbs.sk)
# 3. bit (8): či sa slávi Zjavenie Pána 6.1. (0 = default) alebo v nedeľu medzi 2. a 8. januárom (1)
# 4. bit (16): či sa slávi Nanebovstúpenie Pána vo štvrtok (40. deň po Veľkej noci, 0 = default) alebo sa prenáša na nasledujúcu nedeľu (1)
# 5. bit (32): či sa Najsv. Kristovho Tela a Krvi slávi vo štvrtok, 11.-ty deň po Zoslaní Ducha Sv. (0 == default) alebo v nasledujúcu nedeľu (1)
# 6. bit (64): force font-weight: normal; (0 == default, use bold)
# 7. bit (128): buttons order: 0 = date navigation BEFORE info on day (default for web); 1 = day details first (with prayer buttons) (default for mobile apps)
# 8. bit (256): voice output: 1 = use special CSS override to hide all red texts (rubrics)
# 9. bit (512): display footnotes and footnote references: 1 = display footnotes and footnote references (readings)
# 10. bit (1024): transparent navigation arrow in text
# 11. bit (2048): display full text of psalms (also with carets from official LH edition, e. g. verse 6 in psalm 110)
# 12. bit (4096): override for bible references: use bible.com (instead of dkc.kbs.sk for SK)
specialne_def = 0

# OPT1: pevné súčasti modlitieb: 0 = nie; 1 = áno (number of supported bits: POCET_OPT_1_CASTI_MODLITBY)
# 0. bit (1): Te Deum
# 1. bit (2): rubriky
# 2. bit (4): evanjeliové chválospevy (Benedictus, Magnifikat, Nunc dimittis)
# 3. bit (8): Sláva Otcu
# 4. bit (16): Otčenáš
# 5. bit (32): doplnková psalmódia pre modlitbu cez deň
# 6. bit (64): vigílie pre nedele, slávnosti a sviatky (posvätné čítanie)
# 7. bit (128): brať na spomienky časti zo spoločných častí
# 8. bit (256): zobraziť plné znenie responzórií (v posvätných čítaniach)
# 9. bit (512): použiť v modlitbe žalm 95 miesto žalmov 24, 67, 100 (ak sa použili v invitatóriu)
# 10. bit (1024): zvolanie v prosbách zobraziť (opakovať) po každej prosbe
# 11. bit (2048): skryť popis (napr. životopis svätca)
# 12. bit (4096): možnosť zobraziť informáciu o spoločnej časti
# 13. bit (8192): použiť (pre ktorýkoľvek deň v roku) kratšie prosby k vešperám z dodatku
# 14. bit (16384): používa sa pre modlitbu cez deň -- 1 = psalmódia sa používa z troch týždňov žaltára (aktuálny, predchádzajúci, nasledujúci)
# 15. bit (32768): zobraziť záver modlitby (požehnanie/prežehnanie)
# 16. bit (65536): možnosť zvoliť vyšší stupeň slávenia (spomienku možno sláviť ako sviatok alebo slávnosť; sviatok ako slávnosť)
# 17. bit (131072): vyšší stupeň slávenia (0 = sviatok, 1 = slávnosť); aplikuje sa iba ak BIT_OPT_1_OVERRIDE_STUP_SLAV (16. bit) je true
casti_modlitby_def = 1439

# OPT2: HTML export (number of supported bits: POCET_OPT_2_HTML_EXPORT)
# 0. bit (1): formát dátumu v ISO 8601 formáte (napr. "2011-04-13") alebo iba deň (napr. "13")
# 1. bit (2): zobraziť pre nedele a vybrané slávenia možnosť priamo v daný deň zvoliť prvé vešpery
# 2. bit (4): použiť bezpätkové písmo (Sans Serif) alebo pätkové (Serif)
# 3. bit (8): zobraziť možnosť výberu písma (drop-down list)
# 4. bit (16): zobraziť možnosť výberu veľkosti písma (drop-down list)
# 5. bit (32): zobraziť navigáciu v textoch modlitieb (tlačidlá pre jednotlivé modlitby)
# 6. bit (64): zalamovať dlhé riadky ako v tlačenom vydaní (poetické časti)
# 7. bit (128): zobraziť buttony pre modlitby v úspornej podobe (tabuľka) kvôli mobilným zariadeniam
# 8. bit (256): nočný režim (tmavé pozadie, svetlý text)
# 9. bit (512): zobraziť rozličné možnosti priamo v textoch modlitieb (skryjú sa na úvodnej stránke, budú formou hypertextových odkazov priamo v textoch modlitieb)
# 10. bit (1024): možnosť zobraziť/skryť navigáciu (tlačidlá) v modlitbe a pre "dnes", ak je zvolený 6. bit
# 11. bit (2048): skryť kalendárik pre "dnes"
# 12. bit (4096): skryť "ďalšie možnosti 1" pre "dnes" (na titulnej stránke)
# 13. bit (8192): skryť "ďalšie možnosti 2" pre "dnes" (na titulnej stránke)
# 14. bit (16384): ukázať iba jednu alternatívu (0 = ako doteraz; buď systém vyberie, alebo ukáže všetky možnosti)
# 15. bit (32768): ukázať v podnadpise aj default regionálny kalendár (0 = po novom, neukazovať; 1 = po starom, ukázať)
html_export_def = 160

# OPT4: offline export (number of supported bits: POCET_OPT_4_OFFLINE_EXPORT)
# 0. bit (1): mesiac jednoducho (default: nie jednoducho, ale HTML pekne pre web) alebo pekne "zložito"
# 1. bit (2): či pre názov súboru použiť (číselné) ID modlitby alebo písmenko modlitby (default)
# 2. bit (4): či sa pri generovaní tlačidla pre predchádzajúcu/nasledujúcu modlitbu majú preskočiť odkazy na MCD a kompletórium (default: 0 = nie; treba nastavovať kvôli ľubovoľným spomienkam do batch módu)
# 3. bit (8): či sa pri generovaní tlačidiel má NEpoužiť <button> alebo nie (default: 0 = nie nepoužiť = použiť; 1 = nepoužiť, kvôli epub gen)
offline_export_def = 8

# OPT5: alternatives (number of supported bits: POCET_OPT_5_ALTERNATIVES)
# 0. bit (1): hymnus na kompletórium (Cezročné obdobie, A/B) 
# 1. bit (2): hymnus pre posvätné čítanie (Cezročné obdobie, I./II.) 
# 2. bit (4): hymnus pre modlitbu cez deň, predpoludním (Cezročné obdobie) 
# 3. bit (8): hymnus pre modlitbu cez deň, napoludnie (Cezročné obdobie) 
# 4. bit (16): hymnus pre modlitbu cez deň, popoludní (Cezročné obdobie) 
# 5. bit (32): pre modlitbu cez deň v doplnkovej psalmódii namiesto žalmu 122 možno brať žalm 129 
# 6. bit (64): pre modlitbu cez deň v doplnkovej psalmódii namiesto žalmu 127 možno brať žalm 131 
# 7. bit (128): pre modlitbu cez deň v doplnkovej psalmódii namiesto žalmu 126 možno brať žalm 129 
# 8. bit (256): hymnus pre posvätné čítanie (Veľkonočné obdobie I. po Oktáve: nedeľný alebo z férie)
# 9. bit (512): hymnus pre ranné chvály (Veľkonočné obdobie I. po Oktáve: nedeľný alebo z férie) 
# 10. bit (1024): hymnus pre vešpery (Veľkonočné obdobie I. po Oktáve: nedeľný alebo z férie) 
# 11. bit (2048): hymnus pre prvé vešpery (Cezročné obdobie: nedeľný alebo z posv. čítania)
# 12. bit (4096): psalmódia pre ranné chvály popolcovej stredy (default: streda 4. týždňa žaltára; možnosť zvoliť z piatka 3. týždňa žaltára)
# 13. bit (8192): CZ only: hymny z breviáøe / hymny k volnému výbìru (Renč)
# 14. bit (16384): pre ranné chvály ofícia za zosnulých možno brať ako tretí žalm 146 resp. 150 (0 = Ž 146; 1 = Ž 150)
# 15. bit (32768): pre záver modlitby ranných chvál/vešpier brať záver -- 1 = ak predsedá kňaz/diakon; 0 = pre modlitbu jednotlivca resp. ak nie je kňaz/diakon
alternatives_def = 0

# === CZ: option params override for language JAZYK_CZ ===

http_adresa_cz="/cz/"
http_zobraz_adr_cz="breviar.cz"
mail_adresa_cz="breviar@liturgie.cz"
http_bible_references_cz=""
bible_com_version_id_cz="509"

# OPT0
specialne_cz = 0
# OPT1
casti_modlitby_cz = 395
# OPT2
html_export_cz = 60
# OPT5
alternatives_cz = 0

# === CZ_OP: option params override for language JAZYK_CZ_OP ===

http_adresa_czop="/czop/"
http_zobraz_adr_czop="breviar.sk/czop"
http_bible_references_czop=""
bible_com_version_id_czop="509"

# OPT0
specialne_czop = 0
# OPT1
casti_modlitby_czop = 159
# OPT2
html_export_czop = 2
# OPT5
alternatives_czop = 0

# === HU: option params override for language JAZYK_HU ===

http_adresa_hu="/hu/"
http_zobraz_adr_hu="zsolozsma.katolikus.hu"
mail_adresa_hu="videky-hu@breviar.sk"
http_bible_references_hu="http://www.szentiras.hu/SZIT/"
bible_com_version_id_hu="198"

# OPT0
specialne_hu = 0
# OPT2
html_export_hu = 120
# OPT5
alternatives_hu = 0

# === LA: option params override for language JAZYK_LA ===

http_adresa_la="/la/"
http_zobraz_adr_la="breviar.sk/la"
http_bible_references_la="http://www.vatican.va/archive/bible/nova_vulgata/documents/"
bible_com_version_id_la="823"

